Page MenuHomePhabricator

{{REVISIONUSER}} doesn't show anything on Wikimedia sites
Closed, ResolvedPublic

Description

{{REVISIONUSER}} doesn't seem to work on the Wikimedia cluster. It doesn't show anything at all. For an example, see
https://www.mediawiki.org/wiki/User:Amire80/REVISIONUSER

It does work in the latest MediaWiki master, so maybe it's already fixed, but I'm reporting just in case.

Event Timeline

Amire80 created this task.Mar 30 2015, 2:05 PM
Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 added a project: MediaWiki-Parser.
Amire80 added subscribers: Amire80, IKhitron.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2015, 2:05 PM
Amire80 renamed this task from {{REVISIONUSER}} doesn't show anything to {{REVISIONUSER}} doesn't show anything on Wikimedia sites.Mar 30 2015, 2:11 PM
Amire80 set Security to None.

Just purge the page and you will see your user name.

Maybe a (replication?) issue on page creation.

Waaat.

Weird stuff.

It was used on @IKhitron's user talk page (through a template) and it was saved several times, and the name didn't show up. Now after purging it does.

Is there some job that purges everything? This may render a lot of pages weird until somebody bothers to purge.

Confirmed that when creating a new page on mediawiki.org, the resulting page view after it shows all text but nothing from {{REVISIONUSER}}. Not until a manual purge.

aaron added a subscriber: aaron.EditedMar 31 2015, 3:46 AM

Easy vagrant repo (change localsettings.php):

# Simulate master/slave setup a bit
$wgDBservers = array(
	array(
		'host' => $wgDBserver,
		'dbname' => $wgDBname,
		'user' => $wgDBuser,
		'password' => $wgDBpassword,
		'type' => $wgDBtype,
		'flags' => DBO_DEFAULT,
		'load' => 0,
	),
	array(
		'host' => $wgDBserver,
		'dbname' => $wgDBname,
		'user' => $wgDBuser,
		'password' => $wgDBpassword,
		'type' => $wgDBtype,
		'flags' => DBO_DEFAULT,
		'load' => 1,
		'fakeSlaveLag' => 0
	),
);

Change 200805 had a related patch set uploaded (by Aaron Schulz):
Fixed {{REVISION(TIMESTAMP|USER)}} on new revisions

https://gerrit.wikimedia.org/r/200805

Change 199804 abandoned by Aaron Schulz:
Added slave/master fallback logic in Revision

https://gerrit.wikimedia.org/r/199804

Change 200810 had a related patch set uploaded (by Aaron Schulz):
Added slave/master fallback logic in Revision

https://gerrit.wikimedia.org/r/200810

Aklapper triaged this task as High priority.Mar 31 2015, 11:53 AM

Change 200805 merged by jenkins-bot:
Fixed {{REVISION(TIMESTAMP|USER|SIZE)}} on new revisions

https://gerrit.wikimedia.org/r/200805

Change 200810 merged by jenkins-bot:
Added slave/master fallback logic in Revision

https://gerrit.wikimedia.org/r/200810

All patches merged / abandoned.
What's left to do here (or can this be resolved)?

@aaron: Anything else left to do here?

aaron closed this task as Resolved.Apr 2 2015, 11:12 PM
aaron claimed this task.